Loading...
Searching...
No Matches
ConvertMap< M, V > Class Template Reference
Data Structures » Maps » Map Adaptors

## Detailed Description

template<typename M, typename V>
class lemon::ConvertMap< M, V >

Map adaptor to convert the `Value` type of a readable map to another type using the default conversion. The `Key` type of it is inherited from `M` and the `Value` type is `V`. This type conforms to the ReadMap concept.

The simplest way of using this map is through the convertMap() function.

`#include <lemon/maps.h>`

Inheritance diagram for ConvertMap< M, V >:
[legend]

## Public Types

typedef M::Key | Key
typedef V | Value
Public Types inherited from MapBase< M::Key, V >
typedef M::Key | Key
| The key type of the map.
typedef V | Value
| The value type of the map. (The type of objects associated with the keys).

## Public Member Functions

| ConvertMap (const M &m)
| Constructor.
Value | operator[] (const Key &k) const

## Related Symbols

(Note that these are not member symbols.)
template<typename V, typename M>
ConvertMap< M, V > | convertMap (const M &map)
| Returns a `ConvertMap` class.

## Constructor & Destructor Documentation

## ConvertMap()

template<typename M, typename V>

ConvertMap | ( | const M & | m | ) |

inline

Constructor.

Parameters

  m | The underlying map.